﻿
namespace QuickAccess.Utilities.Graphics
{
    using System;
    using System.Drawing;
    using System.IO;
    using System.Windows;
    using System.Windows.Forms;
    using Application = System.Windows.Application;

    public class ScreenCapture
    {
        public static string Capture( ) {

            Application.Current.Dispatcher.Invoke( ( ) =>
            {
                Window owner = Application.Current.MainWindow;
                if ( owner == null ) {
                    return string.Empty;
                }
                if ( !Directory.Exists( "C:\\Captures" ) ) {
                    Directory.CreateDirectory( "C:\\Captures" );
                }

                Screen screen = Screen.FromPoint( new System.Drawing.Point( ( int ) owner.Left, ( int ) owner.Top ) );

                using ( Bitmap bmp = new Bitmap( ( int ) screen.Bounds.Width, ( int ) screen.Bounds.Height ) )
                {
                    using ( Graphics g = Graphics.FromImage( bmp ) )
                    {
                        String filename = "C:\\Captures\\ScreenCapture-" + DateTime.Now.ToString( "ddMMyyyy-hhmmss" ) + ".png";
                        g.CopyFromScreen( screen.Bounds.Left, screen.Bounds.Top, 0, 0, bmp.Size );
                        bmp.Save( filename );

                        return filename;
                    }
                }
            } );

            return string.Empty;
        }
    }
}
