﻿namespace QuickAccess.GraphicsManager.ViewModels {
    #region Imported Namespaces

    using System.Collections.Generic;
    using System.Collections.ObjectModel;
    using Models;
    using ViewModelFramework;

    #endregion

    public class ButtonGroupViewModel : BaseDomainObjectViewModel<IButtonGroup>, IButtonGroupViewModel {
        #region Implementation of IButtonGroupViewModel

        private string _name;

        private string _description;

        private ObservableCollection<IButtonViewModel> _buttonViewModels;

        public ButtonGroupViewModel( IButtonGroup domainObject, string name, string description, IEnumerable<IButtonViewModel> buttonViewModels )
            : base( domainObject ) {
            this._name = name;
            this._description = description;
            this._buttonViewModels = new ObservableCollection<IButtonViewModel>( buttonViewModels );
        }

        public string Name
        {
            get { return this._name; }
            set
            {
                this._name = value;
                this.OnPropertyChanged( );
            }
        }

        public string Description
        {
            get { return this._description; }
            set
            {
                this._description = value;
                this.OnPropertyChanged( );
            }
        }

        public ObservableCollection<IButtonViewModel> ButtonViewModels
        {
            get { return this._buttonViewModels; }
            set
            {
                this._buttonViewModels = value;
                this.OnPropertyChanged( );
            }
        }

        #endregion
    }
}
