﻿namespace QuickAccess.GraphicsManager.Behaviors {
    #region Imported Namespaces

    using System.Collections.Generic;
    using System.Diagnostics.CodeAnalysis;
    using System.Windows;
    using ViewModels;

    #endregion

    public class XamRibbonAttachedBehavior {
        public static readonly DependencyProperty TabSourceProperty;

        static XamRibbonAttachedBehavior( ) {
            var metadata = new FrameworkPropertyMetadata( (IList<ITabViewModel>) null );
            TabSourceProperty = DependencyProperty.RegisterAttached( "TabSource", typeof(IList<ITabViewModel>), typeof(XamRibbonAttachedBehavior), metadata );
        }

        public static IList<ITabViewModel> GetTabSource( DependencyObject obj ) {
            return (IList<ITabViewModel>) obj.GetValue( TabSourceProperty );
        }

        public static void SetTabSource( DependencyObject obj, IList<ITabViewModel> value ) {
            obj.SetValue( TabSourceProperty, value );
        }
    }
}
